<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "felix_association".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "FelixAssociation".
 *
 * Columns in table "felix_association" available as properties of the model,
 * and there are no model relations.
 *
 * @property integer $felix_locationid
 * @property integer $practice_id
 * @property string $association_type
 * @property string $date_updated
 * @property integer $disabled
 *
 */
abstract class BaseFelixAssociation extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'felix_association';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'FelixAssociation|FelixAssociations', $n);
    }

    public static function representingColumn()
    {
        return 'association_type';
    }

    public function rules()
    {
        return array(
            array('practice_id, association_type, date_updated', 'required'),
            array('practice_id, disabled', 'numerical', 'integerOnly' => true),
            array('association_type', 'length', 'max' => 35),
            array('disabled', 'default', 'setOnEmpty' => true, 'value' => null),
            array('felix_locationid, practice_id, association_type, date_updated, disabled', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'felix_locationid' => Yii::t('app', 'Felix Locationid'),
            'practice_id' => Yii::t('app', 'Practice'),
            'association_type' => Yii::t('app', 'Association Type'),
            'date_updated' => Yii::t('app', 'Date Updated'),
            'disabled' => Yii::t('app', 'Disabled'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('felix_locationid', $this->felix_locationid);
        $criteria->compare('practice_id', $this->practice_id);
        $criteria->compare('association_type', $this->association_type, true);
        $criteria->compare('date_updated', $this->date_updated, true);
        $criteria->compare('disabled', $this->disabled);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}
